org.activiti.engine.repository

## Interface DeploymentQuery

- All Superinterfaces:
    Query<DeploymentQuery,Deployment>

      public interface DeploymentQuery
      extends Query<DeploymentQuery,Deployment>

  Allows programmatic querying of `Deployment`s. Note that it is impossible to retrieve the deployment resources through the results of this operation, since that would cause a huge transfer of (possibly) unneeded bytes over the wire. To retrieve the actual bytes of a deployment resource use the operations on the `RepositoryService.getDeploymentResourceNames(String)` and `RepositoryService.getResourceAsStream(String, String)`
  Author:
    Tom Baeyens, Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeploymentQuery` | `deploymentCategory(String category)` Only select deployments with the given category.
    `DeploymentQuery` | `deploymentCategoryNotEquals(String categoryNotEquals)` Only select deployments that have a different category then the given one.
    `DeploymentQuery` | `deploymentId(String deploymentId)` Only select deployments with the given deployment id.
    `DeploymentQuery` | `deploymentName(String name)` Only select deployments with the given name.
    `DeploymentQuery` | `deploymentNameLike(String nameLike)` Only select deployments with a name like the given string.
    `DeploymentQuery` | `deploymentTenantId(String tenantId)` Only select deployment that have the given tenant id.
    `DeploymentQuery` | `deploymentTenantIdLike(String tenantIdLike)` Only select deployments with a tenant id like the given one.
    `DeploymentQuery` | `deploymentWithoutTenantId()` Only select deployments that do not have a tenant id.
    `DeploymentQuery` | `orderByDeploymentId()` Order by deployment id (needs to be followed by `Query.asc()` or `Query.desc()`).
    `DeploymentQuery` | `orderByDeploymenTime()` Order by deployment time (needs to be followed by `Query.asc()` or `Query.desc()`).
    `DeploymentQuery` | `orderByDeploymentName()` Order by deployment name (needs to be followed by `Query.asc()` or `Query.desc()`).
    `DeploymentQuery` | `orderByTenantId()` Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
    `DeploymentQuery` | `processDefinitionKey(String key)` Only select deployments with the given process definition key.
    `DeploymentQuery` | `processDefinitionKeyLike(String keyLike)` Only select deployments with a process definition key like the given string.

    - ### Methods inherited from interface org.activiti.engine.query.Query

      `asc, count, desc, list, listPage, singleResult`

- - ### Method Detail

    - #### deploymentId

          DeploymentQuery deploymentId(String deploymentId)

      Only select deployments with the given deployment id.

    - #### deploymentName

          DeploymentQuery deploymentName(String name)

      Only select deployments with the given name.

    - #### deploymentNameLike

          DeploymentQuery deploymentNameLike(String nameLike)

      Only select deployments with a name like the given string.

    - #### deploymentCategory

          DeploymentQuery deploymentCategory(String category)

      Only select deployments with the given category.
      See Also:
        `DeploymentBuilder.category(String)`

    - #### deploymentCategoryNotEquals

          DeploymentQuery deploymentCategoryNotEquals(String categoryNotEquals)

      Only select deployments that have a different category then the given one.
      See Also:
        `DeploymentBuilder.category(String)`

    - #### deploymentTenantId

          DeploymentQuery deploymentTenantId(String tenantId)

      Only select deployment that have the given tenant id.

    - #### deploymentTenantIdLike

          DeploymentQuery deploymentTenantIdLike(String tenantIdLike)

      Only select deployments with a tenant id like the given one.

    - #### deploymentWithoutTenantId

          DeploymentQuery deploymentWithoutTenantId()

      Only select deployments that do not have a tenant id.

    - #### processDefinitionKey

          DeploymentQuery processDefinitionKey(String key)

      Only select deployments with the given process definition key.

    - #### processDefinitionKeyLike

          DeploymentQuery processDefinitionKeyLike(String keyLike)

      Only select deployments with a process definition key like the given string.

    - #### orderByDeploymentId

          DeploymentQuery orderByDeploymentId()

      Order by deployment id (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByDeploymentName

          DeploymentQuery orderByDeploymentName()

      Order by deployment name (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByDeploymenTime

          DeploymentQuery orderByDeploymenTime()

      Order by deployment time (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByTenantId

          DeploymentQuery orderByTenantId()

      Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).

Copyright © 2016 Alfresco. All rights reserved.